Bug 1263642 - logrotate config has wrong PID file location
logrotate config has wrong PID file location
Status: CLOSED EOL
Product: Red Hat Software Collections
Classification: Red Hat
Component: nginx16 (Show other bugs)
nginx16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kaluža
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 06:44 EDT by Robert Bridge
Modified: 2017-03-31 11:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-31 11:02:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Bridge 2015-09-16 06:44:43 EDT
Description of problem:
Installing nginx16-nginx-1.6.2-3.el6.x86_64 from RHSCL, a default nginx.conf file is installed into /opt/rh/nginx16/root/etc/nginx/nginx.conf and a default logrotate configuration file is installed into /etc/logrotate.d/nginx16-nginx.

The nginx.conf file contains the following directive telling nginx where to store it's PID file:
pid        /opt/rh/nginx16/root/var/run/nginx/nginx.pid;

Unfortunately the logrotate file tries to read the PID from the following location:
/opt/rh/nginx16/root/var/run/nginx.pid

Version-Release number of selected component (if applicable):
nginx16-nginx-1.6.2-3.el6.x86_64

Steps to Reproduce:
1. Install nginx16-nginx-1.6.2-3.el6.x86_64

Actual results:
Logrotate does not signal nginx to reopen it's logs.

Expected results:
Logrotate signals nginx to reopen it's logs.

Additional info:
Comment 1 Christian Gonzalez 2016-01-12 08:45:27 EST
Same here (CentOS 6 + nginx14-nginx-1.4.4-9.el6.x86_64). I've discovered the bug after Nginx lost thousands of logs :(.
Comment 2 Joe Orton 2016-01-12 10:27:25 EST
This bug is not present in the NGINX 1.8 collection, rh-nginx18.  If this bug is affecting production deployments of nginx16 please contact Red Hat support.

https://rhn.redhat.com/errata/RHBA-2015-2047.html
Comment 5 Joe Orton 2016-10-12 08:47:21 EDT
Red Hat does not currently plan to provide any further changes to this collection in a Red Hat Software Collections update release.

This software collection is nearing the retirement date (October 2016) after which customers are encouraged either to upgrade to a later release or continue on as self-supported without official Red Hat Support.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/
Comment 6 Joe Orton 2017-03-31 11:02:02 EDT
In accordance with the Red Hat Software Collections Product Life Cycle, the support period for this collection has ended.

New bug fix, enhancement, and security errata updates, as well as technical support services will no longer be made available for this collection.

Customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/

Note You need to log in before you can comment on or make changes to this bug.